using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.StorageContracts
{
	public interface IWorkerStorage
	{
		List<WorkerViewModel> GetFullList();
		List<WorkerViewModel> GetFilteredList(WorkerSearchModel model);
		WorkerViewModel? GetElement(WorkerSearchModel model);
		WorkerViewModel? Insert(WorkerBindingModel model);
		WorkerViewModel? Update(WorkerBindingModel model);
		WorkerViewModel? Delete(WorkerBindingModel model);
	}
}
